#include "common.h"

//user's includes
#include "sd_spi.h"

#include "diskio.h"

DSTATUS disk_initialize (void)
{
	if(sdCardInit()==OK) return(STA_OK); else return(STA_NOINIT);
	return(0);
}


DSTATUS disk_shutdown (void)
{
	return(STA_OK);
}


DSTATUS disk_status (void)
{
	return(STA_OK);
}


DRESULT disk_read (BYTE* buf, DWORD lba, BYTE count)
{
	if(sdReadBlocks(lba,count,buf)==OK) return(RES_OK); else return(RES_ERROR);
}

#ifndef	_READONLY
DRESULT disk_write (const BYTE* buf, DWORD lba, BYTE count)
{
/*	debug_msg("********* disk write!");
	debug_value("** lba =",lba);*/
	if(sdWriteBlocks(lba,count,(uint8_t*)buf)==OK) return(RES_OK); else return(RES_ERROR);
}
#endif
/*
void	disk_timerproc (void)
{
	
}
*/



